> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User List (/api-reference/user-list-collections/get-user-list)

Get a user list

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/{account}/user-lists/{userListId}
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/user-lists/{userListId}:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
      - in: path
        name: userListId
        description: OnlyFans User List ID, or a default list name like `tagged`
        example: 1224114714
        required: true
        schema:
          type: string
    get:
      summary: Get User List
      operationId: getUserList
      description: Get a user list
      parameters: []
      responses:
        "200":
          description: ""
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 123
                    type: custom
                    name: List name
                    usersCount: 123
                    postsCount: 123
                    order: default
                    direction: asc
                    canUpdate: true
                    canDelete: true
                    canManageUsers: true
                    canAddUsers: true
                    canPinnedToFeed: true
                    isPinnedToFeed: false
                    canPinnedToChat: true
                    isPinnedToChat: false
                    sortList: []
                    users:
                      - view: t
                        id: 123
                        name: Name
                        username: username
                        isVerified: true
                        avatar: https://public.onlyfans.com/files/m/mk/mka/.../avatar.jpg
                        avatarThumbs:
                          c50: https://thumbs.onlyfans.com/public/files/thumbs/c50/m/mk/mka/.../avatar.jpg
                          c144: https://thumbs.onlyfans.com/public/files/thumbs/c144/m/mk/mka/.../avatar.jpg
                  _meta:
                    _credits:
                      used: 1
                      balance: 999999974
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 1000
                      limit_day: 50000
                      remaining_minute: 997
                      remaining_day: 49986
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 123
                      type:
                        type: string
                        example: custom
                      name:
                        type: string
                        example: List name
                      usersCount:
                        type: integer
                        example: 123
                      postsCount:
                        type: integer
                        example: 123
                      order:
                        type: string
                        example: default
                      direction:
                        type: string
                        example: asc
                      canUpdate:
                        type: boolean
                        example: true
                      canDelete:
                        type: boolean
                        example: true
                      canManageUsers:
                        type: boolean
                        example: true
                      canAddUsers:
                        type: boolean
                        example: true
                      canPinnedToFeed:
                        type: boolean
                        example: true
                      isPinnedToFeed:
                        type: boolean
                        example: false
                      canPinnedToChat:
                        type: boolean
                        example: true
                      isPinnedToChat:
                        type: boolean
                        example: false
                      sortList:
                        type: array
                        example: []
                      users:
                        type: array
                        example:
                          - view: t
                            id: 123
                            name: Name
                            username: username
                            isVerified: true
                            avatar: https://public.onlyfans.com/files/m/mk/mka/.../avatar.jpg
                            avatarThumbs:
                              c50: https://thumbs.onlyfans.com/public/files/thumbs/c50/m/mk/mka/.../avatar.jpg
                              c144: https://thumbs.onlyfans.com/public/files/thumbs/c144/m/mk/mka/.../avatar.jpg
                        items:
                          type: object
                          properties:
                            view:
                              type: string
                              example: t
                            id:
                              type: integer
                              example: 123
                            name:
                              type: string
                              example: Name
                            username:
                              type: string
                              example: username
                            isVerified:
                              type: boolean
                              example: true
                            avatar:
                              type: string
                              example: https://public.onlyfans.com/files/m/mk/mka/.../avatar.jpg
                            avatarThumbs:
                              type: object
                              properties:
                                c50:
                                  type: string
                                  example: https://thumbs.onlyfans.com/public/files/thumbs/c50/m/mk/mka/.../avatar.jpg
                                c144:
                                  type: string
                                  example: https://thumbs.onlyfans.com/public/files/thumbs/c144/m/mk/mka/.../avatar.jpg
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 999999974
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 1000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 997
                          remaining_day:
                            type: integer
                            example: 49986
      tags:
        - User List Collections
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````